Last Comment Bug 559702 - [hy-AM] Please register the Armenian localization team
: [hy-AM] Please register the Armenian localization team
Status: RESOLVED FIXED
:
Product: Mozilla Localizations
Classification: Client Software
Component: Registration & Management (show other bugs)
: unspecified
: x86 Mac OS X
: -- normal (vote)
: ---
Assigned To: Localization Registration Bugs
:
Mentors:
: 553316 (view as bug list)
Depends on:
Blocks: 558765 583774 fx-l10n-hy-AM
  Show dependency treegraph
 
Reported: 2010-04-15 17:32 PDT by Armen Zambrano [:armenzg] - Engineering productivity
Modified: 2010-08-26 16:16 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
zip file of the source code (279.08 KB, application/octet-stream)
2010-04-16 06:25 PDT, Armen Zambrano [:armenzg] - Engineering productivity
l10n: review-
Details
hy-AM.xpi (149.52 KB, application/octet-stream)
2010-04-16 06:25 PDT, Armen Zambrano [:armenzg] - Engineering productivity
no flags Details
source ball (take 2) (279.07 KB, patch)
2010-04-26 19:33 PDT, Armen Zambrano [:armenzg] - Engineering productivity
no flags Details | Diff | Splinter Review
source ball (take 3) (124.25 KB, application/octet-stream)
2010-05-12 19:29 PDT, Armen Zambrano [:armenzg] - Engineering productivity
l10n: review+
l10n: feedback+
Details

Description Armen Zambrano [:armenzg] - Engineering productivity 2010-04-15 17:32:30 PDT
I have been working for few months into finishing Armenian as an official
language for Firefox.

The code is ready to be pushed to hy-AM from:
http://bitbucket.org/armenzg/firefox-in-armenian
and it is based off what is currently on Mozilla's hg.

Find if needed a source tar ball
http://people.mozilla.com/~armenzg/incoming/firefox-in-armenian-316289c2dedc.bz2
and the add-on:
https://addons.mozilla.org/en-US/firefox/addon/94269

I am still in touch with the original committer of hy-AM and I have his
blessing to continue to move this work forward. Let me know if I need him to
vouch for me.
Comment 1 Axel Hecht [:Pike] 2010-04-15 17:35:25 PDT
The safest way to get this on my radar is to create an attachment here in the bug and request review from me. That's the bug query I use to triage requests.
Comment 2 Armen Zambrano [:armenzg] - Engineering productivity 2010-04-16 06:25:02 PDT
Created attachment 439519 [details]
zip file of the source code
Comment 3 Armen Zambrano [:armenzg] - Engineering productivity 2010-04-16 06:25:34 PDT
Created attachment 439520 [details]
hy-AM.xpi
Comment 4 Seth Bindernagel 2010-04-16 10:49:52 PDT
*** Bug 553316 has been marked as a duplicate of this bug. ***
Comment 5 Axel Hecht [:Pike] 2010-04-16 10:57:39 PDT
Comment on attachment 439520 [details]
hy-AM.xpi

Not gonna review the language pack, but just the source, cancelling this review request.
Comment 6 Axel Hecht [:Pike] 2010-04-20 08:17:27 PDT
Comments:
In browser/chrome/browser/quitDialog.properties,
cancelTitle=%Մերժել
% should be &.

Further output from my in-development compare-locales is

  dom/chrome
    appstrings.properties
        WARNING: trailing argument 2 `S` missing, trailing argument 3 `S` missing at line 57, column 23 within externalProtocolPrompt
    layout/MediaDocument.properties
        ERROR: argument 2 `S` obsolete at line 51, column 21 within MediaTitleWithNoInfo
    netError.dtd
        ERROR: mismatched tag at line 26, column 118 within netInterrupt.longDesc
    security/caps.properties
        ERROR: Ordered argument missing at line 60, column 40 within GetPropertyDeniedOriginsSubjectDomain
        WARNING: trailing argument 5 `S` missing at line 68, column 39 within GetPropertyDeniedOriginsObjectDomain
        WARNING: trailing argument 2 `S` missing, trailing argument 3 `S` missing at line 146, column 38 within GetPropertyDeniedOriginsOnlySubject
  toolkit/chrome
    global
      aboutRights.dtd
          ERROR: not well-formed (invalid token) at line 50, column 130 within rights.webservices-c
    mozapps
      extensions/extensions.properties
          ERROR: argument 3 `S` obsolete at line 61, column 22 within invalidVersionMessage
          ERROR: argument 2 `S` obsolete at line 99, column 26 within newAddonsNotificationMsg2

The l10n files shouldn't have the executable bit set, too.

That doesn't look too bad in general, we do have a real blocker, though. You're changing the license headers, in particular you're removing Vahe as contributor. That's not OK, please find a way to not have that happen.
Comment 7 Armen Zambrano [:armenzg] - Engineering productivity 2010-04-26 19:33:54 PDT
Created attachment 441689 [details] [diff] [review]
source ball (take 2)

Here is my second attempt.
I was waiting on Robert's approval of my changes.

I have addressed the parsing errors and the permissions issues.

BTW I don't know where I am removing Vahe where I should have kept him.

The only place that I know of is this:
./browser/defines.inc:#define MOZ_LANGPACK_CONTRIBUTORS <em:contributor>Robert Sargsyan</em:contributor><em:contributor>Armen Zambrano Gasparnian</em:contributor><em:contributor>Vahe Khachikyan</em:contributor>

Another thing, how can I run that mode of compare-locales? It will be really useful for me.
Comment 8 Armen Zambrano [:armenzg] - Engineering productivity 2010-05-11 21:20:13 PDT
Comment on attachment 441689 [details] [diff] [review]
source ball (take 2)

I have found what you meant that the headers had been removed.
It seems that what I imported from Narro comes without the headers.

I have to work on a command that will add the header back to all the files OR go manually and adjust things.

Axel do you have an ETA for the new compare-locales that you are working on? I would love to test.
Comment 9 Armen Zambrano [:armenzg] - Engineering productivity 2010-05-12 19:29:29 PDT
Created attachment 445036 [details]
source ball (take 3)

This adds back all the missing headers for my Armenian source code.
Comment 10 Axel Hecht [:Pike] 2010-05-28 14:14:55 PDT
Comment on attachment 439520 [details]
hy-AM.xpi

I think this one's obsolete, and we won't r+ a langpack anyway.
Comment 11 Axel Hecht [:Pike] 2010-05-28 14:28:54 PDT
Comment on attachment 445036 [details]
source ball (take 3)

I suspect there's a hack on the license headers here, but I like it.

I'll do a more thorough non-diff review following https://wiki.mozilla.org/L10n:Review_notes soon.
Comment 12 Armen Zambrano [:armenzg] - Engineering productivity 2010-07-14 07:15:33 PDT
Any updates?
Comment 13 Armen Zambrano [:armenzg] - Engineering productivity 2010-08-02 09:04:12 PDT
I don't want to be annoying but what is the ETA for this review?
I have several people that can do translations into Armenian but getting stacked in a review is seriously hurting the disposition of these volunteers to contribute.
If it is acceptable for me to be more persistent and be a constant reminder to help this move forward let me know. If I can help in the review process myself please feel free to give me instructions on how to.
Comment 14 Seth Bindernagel 2010-08-02 10:03:37 PDT
We have a slew of reviews to get to this.  Will try it tomorrow or Thursday.  Thanks, Armen...not annoying!  (Our delays in review are probably a bit more annoying. :) )  Thanks for hanging in there.
Comment 15 Armen Zambrano [:armenzg] - Engineering productivity 2010-08-04 07:30:35 PDT
Thanks Seth. Best wishes for the Beta program!
Comment 16 Axel Hecht [:Pike] 2010-08-11 11:58:19 PDT
I filed the shipping bug and most of it's depends, leaving this bug open for the initial landing.

Folks that are interested in the bugs, it's bug fx40-l10n-hy-AM, and in general, it'd be a good idea to watch armenian.hy-AM@localization.bugs on https://bugzilla.mozilla.org/userprefs.cgi?tab=email#new_watched_by_you. That way, you'll get mail notifications on bug action. I think Armen already does, but the rest of the team might want to join.
Comment 17 Armen Zambrano [:armenzg] - Engineering productivity 2010-08-13 07:47:11 PDT
(In reply to comment #16)
> I filed the shipping bug and most of it's depends, leaving this bug open for
> the initial landing.
> 
Does this mean that I can now land? Do I have access?


Thanks for all the bugs filed. I will get to it during the weekend.
Comment 18 Seth Bindernagel 2010-08-13 12:50:51 PDT
(In reply to comment #17)
> (In reply to comment #16)
> > I filed the shipping bug and most of it's depends, leaving this bug open for
> > the initial landing.
> > 
> Does this mean that I can now land? Do I have access?
> 
> 
> Thanks for all the bugs filed. I will get to it during the weekend.

Axel will do the initial landing for all the new locales.  Then, you will be free to work.  Some changes will require a review by an l10n-driver.  Things like search plugins and changes to region.properties.
Comment 19 Armen Zambrano [:armenzg] - Engineering productivity 2010-08-13 13:04:11 PDT
OK. What is left for the initial landing? The review on this bug?
After the landing, do I have to file a bug to receive commit access?
Comment 20 Seth Bindernagel 2010-08-13 13:11:20 PDT
(In reply to comment #19)
> OK. What is left for the initial landing? The review on this bug?
> After the landing, do I have to file a bug to receive commit access?

r=me and r=axel, so nothing is left for review.  Axel will need to do some minor code cleanup and just land.  You should get commit access to the repo.  If it has not been set up, then we will need to file a bug for that.  Let's let Axel land it early next week then move from there.   In the meantime, take a look at those productization bugs.  Lots to do there.
Comment 21 Armen Zambrano [:armenzg] - Engineering productivity 2010-08-13 13:26:55 PDT
Thanks Seth!
Let's do this :)
Comment 22 Axel Hecht [:Pike] 2010-08-23 12:54:10 PDT
Sooooo, now we're talking, landed http://hg.mozilla.org/l10n-central/hy-AM/rev/f39355aa7317.

Firstly, welcome to the new world, you have localized builds for Armenian Firefox 4.0pre.

*Immediate Next Steps*

To get them to ship to users, we'll need to work on the bugs blocking your release tracker, https://bugzilla.mozilla.org/showdependencytree.cgi?id=fx40-l10n-hy-AM&hide_resolved=1.

*Staying connected*

You should also follow the Mozilla l10n newsgroup, http://www.mozilla.org/community/forums/#dev-l10n, available as mailing list, newsgroup or google group. The traffic isn't too high frequency. You'll find messages starting with [ANNOUNCE] in the subject every now and then, those are vital to read, as they include things that the l10n-drivers want you to know and attend to. There's a second group, http://www.mozilla.org/community/forums/#dev-l10n-web, where we discuss web localization issues. That's a separate group as quite a few localization teams have dedicated volunteers for that.

*Armenian Builds of Firefox*

We refer to the pre-release versions of Firefox as "builds". These are where you will continue to work and test to perfect your localization. They're coming in two variants:

- Nightlies. You find those on http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/latest-mozilla-central-l10n/. Sometimes it starts with old versions, so you wanna look at the end what's the current version, and then search for the firefox-4.0b5pre.hy-AM.win32.installer.exe, firefox-4.0b5pre.hy-AM.linux-i686.tar.bz2, or firefox-4.0b5pre.hy-AM.mac.dmg files for win, linux, and mac, resp. These files are good to use for daily browsing, and they'll get a small incremental update every night, bringing both the latest of the stability release as well as your landings to you and your fellow testers.

- Tinderbox builds. Those get built within a few minutes after you landed fixes in hg and pushed them to the upstream repo. Those are the right thing to quickly verify that the changes you made work in the build. These builds can be found on http://ftp.mozilla.org/pub/mozilla.org/firefox/tinderbox-builds/mozilla-central-l10n/ (note the different dir two levels up).

Both of these builds are coming from your new hg repository. You can clone it with http://hg.mozilla.org/l10n-central/hy-AM/ anonymously, and with ssh:// instead of http:// once you got your hg account.

Please make sure that you're not regressing the fixes that I landed on top of your attachments. The diff is at http://hg.mozilla.org/l10n-central/hy-AM/rev/3fd9271f686e. Feel free to request help and review on the first patches you land.

*Monitoring your localization now and in the future*

Now, as if that wasn't enough, there are a few places on the web that you should regularly check to see if there's stuff to do. One would be the web dashboard (you'll use that to hunt down the web pages for your Firefox release), http://l10n.mozilla.org/webdashboard/?locale=hy-AM. The other one is called the dashboard, you can find it at https://l10n-stage-sj.mozilla.org/shipping/dashboard?locale=hy-AM. And you and your peers should start watching the bugzilla alias for your locale, hy-AM@localization.bugs, once it's created. You can do that at the bottom of https://bugzilla.mozilla.org/userprefs.cgi?tab=email#new_watched_by_you.

Enjoy and congratulations!
Comment 23 Axel Hecht [:Pike] 2010-08-24 06:35:30 PDT
PS: For now, make that armenian.hy-AM@localization.bugs to watch, though at some point soon, I'd like to rename that.
Comment 24 Axel Hecht [:Pike] 2010-08-26 16:16:33 PDT
Setting the deps straight, you get accounts because we've took the registration, not the other way around.

Note You need to log in before you can comment on or make changes to this bug.